typedef union {
    long	num;
    double	fnum;
    u_long	u_num;
    bytestr	hex;
    charstr	str;
    flag_t	flag;
    time_t	time;
    utime_t	utime;
    as_t	as;
    proto_t	proto;
    pmet_t	metric;
    pref_t	pref;
    if_addr	*ifap;
    if_addr_entry	*ifae;
    adv_entry	*adv;
    gw_entry	*gwp;
    void_t	vt;
    sockaddr_un	*sockaddr;
    trace_file	*trace_file;
    struct addr_list_ *alist;
#ifdef	PROTO_INET
    struct in_addr in_addr;
#endif	/* PROTO_INET */
    dest_mask	dm;
    struct {
	pmet_t metric;
	adv_entry *adv;
	flag_t ribmask;
    } metric_adv ;
    struct {
	proto_t proto;
	adv_entry **import_list;
	adv_entry **export_list;
	gw_entry **gw_list;
    } proto_lists;
    struct {
        flag_t flags;
        flag_t ribmask;
    } rts_opt;
    config_entry *config;
    config_list *conflist;
#ifndef	GATED_LEXER
#ifdef	PROTO_OSPF
    ospf_config_router *ospf_router;
    ospf_auth *ospf_auth;
#endif	/* PROTO_OSPF */
#ifdef PROTO_OSPF2
    nospf_auth_t *nospf_auth;
    cfg_router_t *router;
    cfg_area_t *cfg_area;
#endif /* PROTO_OSPF2 */
#ifdef PROTO_RIP
    rip_auth *rip_auth;
#endif /* PROTO_RIP */
#ifdef PROTO_ISIS2
    struct _isis_auth_t *isisauth;
#endif	/* PROTO_ISIS2 */
    as_path *aspath;
    asmatch_t *asp_match;
    asp_range asp_range;
    asp_stack asp_stack;
#endif	/* GATED_LEXER */
#ifdef IPSEC
    struct sockaddr_key *ipseckey;
#endif /* IPSEC */
} YYSTYPE;
#define	L_EOS	258
#define	L_ERROR	259
#define	L_NUMBER	260
#define	L_FLOAT	261
#define	L_STRING	262
#define	L_HNAME	263
#define	L_KEYWORD	264
#define	L_HEXSTRING	265
#define	L_OCTETSTRING	266
#define	L_IPV6ADDR	267
#define	T_GENDEFAULT	268
#define	T_DIRECT	269
#define	T_INTERFACE	270
#define	T_INTERFACES	271
#define	T_LCLADDR	272
#define	T_PROTO	273
#define	T_METRIC	274
#define	T_METRICIN	275
#define	T_METRICOUT	276
#define	T_INFINITY	277
#define	T_DOWN	278
#define	T_PARSE	279
#define	T_ADV	280
#define	T_DEFAULT	281
#define	T_DEFAULTS	282
#define	T_YYDEBUG	283
#define	T_YYSTATE	284
#define	T_YYQUIT	285
#define	T_DEBUG	286
#define	T_SYSLOG	287
#define	T_UPTO	288
#define	T_EMERG	289
#define	T_ALERT	290
#define	T_CRIT	291
#define	T_ERR	292
#define	T_WARNING	293
#define	T_NOTICE	294
#define	T_INFO	295
#define	T_ON	296
#define	T_OFF	297
#define	T_GATEWAY	298
#define	T_PREFERENCE	299
#define	T_PREFERENCE2	300
#define	T_DEFAULTMETRIC	301
#define	T_NONBROADCAST	302
#define	T_BROADCAST	303
#define	T_TYPE	304
#define	T_POINTOPOINT	305
#define	T_MULTICAST	306
#define	T_NOMULTICAST	307
#define	T_NETMASK	308
#define	T_DEFINE	309
#define	T_SUBNET	310
#define	T_REMOTE	311
#define	T_NOUNICAST	312
#define	T_UNICAST	313
#define	T_INTERNAL	314
#define	T_EXTERNAL	315
#define	T_IGNORE	316
#define	T_ALIAS	317
#define	T_ALIASNH	318
#define	T_PRIMARY	319
#define	T_LOWESTIP	320
#define	T_KEEPALL	321
#define	T_RIBS	322
#define	T_INHERIT_METRIC	323
#define	T_SUMMARY_FILTERS	324
#define	T_NOP	325
#define	T_NOP1	326
#define	T_NOP_DM	327
#define	T_NOP_ADV	328
#define	T_NOP_PROTO	329
#define	T_NOP_SOCKADDR	330
#define	T_PEERAS	331
#define	T_LOCALAS	332
#define	T_ASCOUNT	333
#define	T_NEIGHBOR	334
#define	T_GROUP	335
#define	T_VERSION	336
#define	T_ACQUIRE	337
#define	T_TTL	338
#define	T_MAXUP	339
#define	T_SOURCENET	340
#define	T_PKTSIZE	341
#define	T_P1	342
#define	T_P2	343
#define	T_DEFAULTIN	344
#define	T_DEFAULTOUT	345
#define	T_BGP	346
#define	T_BGP4MP	347
#define	T_NLRI_LENGTH	348
#define	T_PEERING_INTERFACE	349
#define	T_TEST	350
#define	T_KEEP	351
#define	T_SENDBUF	352
#define	T_RECVBUF	353
#define	T_OPEN	354
#define	T_KEEPALIVE	355
#define	T_INDELAY	356
#define	T_OUTDELAY	357
#define	T_LCLTCPADDR	358
#define	T_ROUTING	359
#define	T_ANALRETENTIVE	360
#define	T_KEEPALIVESALWAYS	361
#define	T_NOAGGRID	362
#define	T_NOAUTHCHECK	363
#define	T_SETPREF	364
#define	T_ROUTETOPEER	365
#define	T_IGNOREFIRSTASHOP	366
#define	T_NOV4ASLOOP	367
#define	T_V3ASLOOPOKAY	368
#define	T_LOGUPDOWN	369
#define	T_EGP	370
#define	T_HOLDTIME	371
#define	T_ASPATH	372
#define	T_ORIGIN	373
#define	T_INCOMPLETE	374
#define	T_ANY	375
#define	T_LOOPS	376
#define	T_TAG	377
#define	T_KERNEL	378
#define	T_SYMBOLS	379
#define	T_REMNANTS	380
#define	T_IFLIST	381
#define	T_ROUTES	382
#define	T_NOCHANGE	383
#define	T_NOFLUSHATEXIT	384
#define	T_REMNANTHOLDTIME	385
#define	T_HIGHER	386
#define	T_LOWER	387
#define	T_FLASH	388
#define	T_INTERIOR	389
#define	T_BACKGROUND	390
#define	T_LIMIT	391
#define	T_TRUSTEDGATEWAYS	392
#define	T_SOURCEGATEWAYS	393
#define	T_RIP	394
#define	T_RIPOUT	395
#define	T_NORIPOUT	396
#define	T_RIPIN	397
#define	T_NORIPIN	398
#define	T_NOCHECKZERO	399
#define	T_MAXROUTES	400
#define	T_OLDOSPF	401
#define	T_CISCO	402
#define	T_OSPFAREA	403
#define	T_OSPF	404
#define	T_OSPF_ASE	405
#define	T_BACKBONE	406
#define	T_VIRTUALLINK	407
#define	T_STUB	408
#define	T_STUBHOSTS	409
#define	T_NETWORKS	410
#define	T_ROUTERS	411
#define	T_NEIGHBORID	412
#define	T_TRANSITAREA	413
#define	T_ELIGIBLE	414
#define	T_MONITORAUTH	415
#define	T_MONITORAUTHKEY	416
#define	T_DD	417
#define	T_ACK	418
#define	T_LSA_BLD	419
#define	T_LSA_RX	420
#define	T_LSA_TX	421
#define	T_EXPORTINTERVAL	422
#define	T_EXPORTLIMIT	423
#define	T_FIRST	424
#define	T_EVERY	425
#define	T_START_ACCEPT	426
#define	T_STOP_ACCEPT	427
#define	T_START_GENERATE	428
#define	T_STOP_GENERATE	429
#define	T_KEY	430
#define	T_ID	431
#define	T_POLLINTERVAL	432
#define	T_INFTRANSDELAY	433
#define	T_RXMITINTERVAL	434
#define	T_ROUTERPRIO	435
#define	T_DB	436
#define	T_OSPF_STATE	437
#define	T_AREA	438
#define	T_SPF	439
#define	T_HELLO	440
#define	T_ROUTERDEADINTERVAL	441
#define	T_HELLOINTERVAL	442
#define	T_PRIORITY	443
#define	T_ENABLE	444
#define	T_DISABLE	445
#define	T_QUERY	446
#define	T_QUERYINTERVAL	447
#define	T_MODE	448
#define	T_REPORT	449
#define	T_TUNNEL	450
#define	T_IPIP	451
#define	T_REGISTER	452
#define	T_PRUNE	453
#define	T_GRAFT	454
#define	T_SNMP	455
#define	T_SMUX	456
#define	T_SMUX_PASSWORD	457
#define	T_SMUX_DEBUG	458
#define	T_SERVER	459
#define	T_CLIENT	460
#define	T_ADDRESS	461
#define	T_MAXADVINTERVAL	462
#define	T_MINADVINTERVAL	463
#define	T_LIFETIME	464
#define	T_INELIGIBLE	465
#define	T_SOLICIT	466
#define	T_QUIET	467
#define	T_ADVERTISE	468
#define	T_ICMP	469
#define	T_ROUTERDISCOVERY	470
#define	T_ICMPV6	471
#define	T_NEIGHBORDISCOVERY	472
#define	T_RIPNG	473
#define	T_REDIRECT	474
#define	T_REDIRECTS	475
#define	T_NOREDIRECTS	476
#define	T_AUTHTYPE	477
#define	T_AUTHKEY	478
#define	T_NONE	479
#define	T_SIMPLE	480
#define	T_AUTH	481
#define	T_MD5	482
#define	T_SECONDARY	483
#define	T_RC4	484
#define	T_CRYPTO	485
#define	T_PASSIVE	486
#define	T_SIMPLEX	487
#define	T_STRICTIFS	488
#define	T_SCANINTERVAL	489
#define	T_STATIC	490
#define	T_MARTIANS	491
#define	T_RETAIN	492
#define	T_EXPORT	493
#define	T_IMPORT	494
#define	T_EXACT	495
#define	T_REFINE	496
#define	T_BETWEEN	497
#define	T_AND	498
#define	T_HOST	499
#define	T_MASK	500
#define	T_MASKLEN	501
#define	T_REJECT	502
#define	T_BLACKHOLE	503
#define	T_RESTRICT	504
#define	T_ALLOW	505
#define	T_ANNOUNCE	506
#define	T_LISTEN	507
#define	T_AS	508
#define	T_ROUTERID	509
#define	T_IGP	510
#define	T_OPTIONS	511
#define	T_NOINSTALL	512
#define	T_NOSEND	513
#define	T_NORESOLV	514
#define	T_MARK	515
#define	T_TRACEOPTIONS	516
#define	T_EXCEPT	517
#define	T_REPLACE	518
#define	T_SIZE	519
#define	T_FILES	520
#define	T_K	521
#define	T_M	522
#define	T_ALL	523
#define	T_ROUTE	524
#define	T_STATE	525
#define	T_POLICY	526
#define	T_NORMAL	527
#define	T_GENERAL	528
#define	T_TASK	529
#define	T_TIMER	530
#define	T_NOSTAMP	531
#define	T_UPDATE	532
#define	T_DETAIL	533
#define	T_SEND	534
#define	T_RECEIVE	535
#define	T_ERROR	536
#define	T_PACKETS	537
#define	T_RESPONSE	538
#define	T_REQUEST	539
#define	T_OTHER	540
#define	T_TRAP	541
#define	L_USEC	542
#define	T_AGGREGATE	543
#define	T_GENERATE	544
#define	T_BRIEF	545
#define	T_NOAGG	546
#define	T_INET	547
#define	T_INET6	548
#define	T_PORT	549


extern YYSTYPE yylval;
